***********
cli package
***********

The CLI Package handles the Command Line Arguments that act as the entry point into Faceswap.

.. contents:: Contents
   :local:

args module
===========

.. rubric:: Module Summary

.. autosummary::
   :nosignatures:
   
   ~lib.cli.args.ConvertArgs
   ~lib.cli.args.ExtractArgs
   ~lib.cli.args.ExtractConvertArgs
   ~lib.cli.args.FaceSwapArgs
   ~lib.cli.args.FullHelpArgumentParser
   ~lib.cli.args.GuiArgs
   ~lib.cli.args.SmartFormatter
   ~lib.cli.args.TrainArgs

.. rubric:: Module

.. automodule:: lib.cli.args
   :members:
   :undoc-members:
   :show-inheritance:

actions module
==============

.. rubric:: Module Summary

.. autosummary::
   :nosignatures:
   
   ~lib.cli.actions.ContextFullPaths
   ~lib.cli.actions.DirFullPaths
   ~lib.cli.actions.DirOrFileFullPaths
   ~lib.cli.actions.FileFullPaths
   ~lib.cli.actions.FilesFullPaths
   ~lib.cli.actions.MultiOption
   ~lib.cli.actions.Radio
   ~lib.cli.actions.SaveFileFullPaths
   ~lib.cli.actions.Slider

.. rubric:: Module

.. automodule:: lib.cli.actions
   :members:
   :undoc-members:
   :show-inheritance:

launcher module
===============

.. automodule:: lib.cli.launcher
   :members:
   :undoc-members:
   :show-inheritance: